    Load multiple ARFs for a PHA data set.

load_multi_arfs(id, filenames, resp_ids=None)
id - int or str, optional
filenames - iterable of str
resp_ids - iterable of int or str

A grating observation - such as a Chandra LETGS data set - may require multiple responses if the detector has insufficient energy resolution to sort the photons into orders. In this case, the extracted spectrum will contain the signal from more than one diffraction orders.

This function lets the multiple ARFs for such a data set be loaded with one command. The `load_arf` function can instead be used to load them in individually.

Load three ARFs into the default data set, using response ids of 1, 2, and 3 for the LETG/HRC-S orders 1, 2, and 3 respectively:

>>> arfs = ['leg_p1.arf', 'leg_p2.arf', 'leg_p3.arf'] >>> load_multi_arfs(arfs, [1, 2, 3])

Load in the ARFs to the data set with the identifier 'lowstate':

>>> load_multi_arfs('lowstate', arfs, [1, 2, 3])

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set to use. If not given then the default identifier is used, as returned by `get_default_id` .
filenames
An array of file names.
resp_ids
The identifiers for the ARF within this data set. The length should match the filenames argument.

Notes

The function does not follow the normal Python standards for parameter use, since it is designed for easy interactive use. When called with two arguments, they are assumed to be

filenames and resp_ids , and three positional arguments means `id` , filenames , and resp_ids .

The `minimum_energy` setting of the `ogip` section of the Sherpa configuration file determines the behavior when an ARF with a minimum energy of 0 is read in. The default is to replace the 0 by the value 1e-10, which will also cause a warning message to be displayed.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023